跳转到主要内容
POST
Search the live web

请求规范

  • 方法与路径: POST /apis/v1/search1api/web-search
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/search1api/web-search
  • Runtime 事实版本: 5d3c11d91fe5c1a8efbc9c528d4c5728aa68d05f1d980109f4a35d8ef3927a06
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

按用量计费;默认请求预估费用:$0.001 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 0.001
  • 声明的单位费率(USD): 1e-06
  • 计费单位: provider_credit
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 结算证据来源: response_header

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
query
string
必填
Minimum string length: 1
示例:

"site:example.com Example Domain"

max_results
integer
必填
必填范围: 1 <= x <= 50
search_service
enum<string>
可用选项:
google,
bing,
bingcn,
duckduckgo,
yahoo,
yandex,
youtube,
x,
reddit,
github,
arxiv,
wechat,
bilibili,
imdb,
wikipedia,
baidu,
360,
quark
page
integer
默认值:1

Only some engines support pagination.

必填范围: 1 <= x <= 100
image
boolean
默认值:false
include_sites
string[]
exclude_sites
string[]
language
string
time_range
enum<string>
可用选项:
day,
week,
month,
year

响应

成功响应